using System;
using System.ComponentModel;

namespace YBEE.EQM.Core
{
    /// <summary>
    /// 登陆类型
    /// </summary>
    public enum LoginType
    {
        /// <summary>
        /// 登陆
        /// </summary>
        [Description("登陆")]
        LOGIN = 1,

        /// <summary>
        /// 登出
        /// </summary>
        [Description("登出")]
        LOGOUT = 2,

        /// <summary>
        /// 注册
        /// </summary>
        [Description("注册")]
        REGISTER = 3,

        /// <summary>
        /// 改密
        /// </summary>
        [Description("改密")]
        CHANGE_PASSWORD = 4,

        /// <summary>
        /// 三方授权登陆
        /// </summary>
        [Description("授权登陆")]
        AUTHORIZED_LOGIN = 5
    }
}